<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>{$wa->appName()} &mdash; {$wa->accountName()}</title>
    {$wa->css()}
    <script type="text/javascript" src="{$wa_url}wa-content/js/jquery/jquery-1.8.2.min.js"></script>
    <script type="text/javascript" src="{$wa_url}wa-content/js/jquery-wa/wa.core.js"></script>
    <script type="text/javascript" src="{$wa_app_static_url}js/optimize.js"></script>
    <style>
        .blue {
            background-color: #dff3fe;
        }
        .dir-app h3 {
            padding: 6px;
            background-color: #9ad4fc;
            font-weight: normal;
            font-size: 15px;
        }
        .dir-app ul {

        }
        .dir-app ul li {

        }
        .dir-app-options {
            margin-top: 20px;
            background-color: #9ad4fc;
            margin-bottom: 20px;

        }

        .dir-app-options h3 {
            text-align: center;
            padding: 6px;
            background-color: #6aadcd;
        }
        .dir-app-options label {
            font-size: 12px;
            padding-left: 10px;
            padding-bottom: 10px;
            display: block;
        }
        .op-file-original {
            color:#ccc;
        }
        .green {
            color: #00cc00;
        }
        .red {
            color: #CC0000;
        }
        .op-hide {
            display: none;
        }
        .fly-button {
            position: fixed;
            left: 207px;
            top: 0px;
            width: 800px;
            background-color: #9ad4fc;
            padding: 10px;
        }
    </style>
</head>
<body>
    <div id="wa">
        {$wa->header()}
        <div id="wa-app">
            <div class="sidebar left200px">
                <div class="block blue">
                    <form action="" method="get" id="optimize_files">
                        {foreach $apps as $ak => $app}
                        <div class="dir-app">
                            <h3>{$app.name}</h3>
                            {if is_array($app.dirs)}
                            <ul class="menu-v with-icons compact">
                                {foreach $app.dirs as $path => $name}
                                {$fl=false}
                                {if array_key_exists($ak,$files) && array_key_exists($path,$files[$ak])}
                                {$fl = true}
                                {/if}
                                <li>
                                    <input type="checkbox" class="file" name="apps[{$ak}][{$path}]" value="{$path}" {if $fl} checked{/if}>
                                    {$name}
                                </li>
                                {/foreach}
                            </ul>
                            {/if}
                        </div>
                        {/foreach}
                        <div class="dir-app-options">
                            <h3>Показывать</h3>
                            <br>
                                <label><input type="checkbox" name="view_files[optimized]" value="1">Оптимизированные</label>
                            <br>
                                <label><input type="checkbox" name="view_files[no_optimized]" value="1">Неоптимизированные</label>
                            <br>
                                <label><input type="checkbox" name="file_types[image][jpg]" value="1">JPG</label>
                            <br>
                                <label><input type="checkbox" name="file_types[image][png]" value="1">PNG</label>
                            <br>
                                <label><input type="checkbox" name="file_types[image][gif]" value="1">GIF</label>
                        </div>
                       <p style="text-align: center;">
                           <input type="submit" class="button blue" value="Показать">
                       </p>
                    </form>
                </div>
            </div>
            <div class="content left200px">
                <div id="content">
   <div class="block padded">
       <form action="" id="files_optimize" method="post">
           <table class="zebra" style="    width: 950px;">
               <tr>
                   <th>
                       <input type="checkbox" class="select_all">
                   </th>
                   <th>Адрес файла</th>
                   <th>Размер</th>
               </tr>
           {foreach $files as $app => $paths}
           {if is_array($paths) && !empty($paths)}
           {foreach $paths as $path}
           {if is_array($path) && !empty($path)}
           {foreach $path as $file}
         <tr  class="op-file" id="op-file-{$file->getId()}">
             <td>
                 {if !$file->isOriginal()}
                 <input name="files[]" type="checkbox" class="op-file-checkbox" value="{$file->getId()}">
                 {/if}
             </td>
             <td class="op-file-name {if $file->isOptimize()}green{else}red{/if}">
                 <span class="filename">{$file}</span>
                 {if $file->isOptimize()}
                 <span class="op-file-original op-hide">
                     <br>{$file->getOriginalFilePath()} - {$file->getOriginalFormatSize()}
                 </span>
                 {else}
                 <span class="op-file-original op-hide"></span>
                 {/if}
             </td>
             <td class="op-file-size">
                 {if $file->isOptimize()} <span class=" hint red">{$file->getOriginalFormatSize()}</span> ->{/if} <span class="{if $file->isOptimize()}green{else}red{/if}">{$file->getFormatSize()}</span>

             </td>
         </tr>
           {/foreach}
           {/if}
           {/foreach}
           {/if}
           {/foreach}
         <tr><td colspan="2"><div class="op-files-save">
             <input type="submit" class="button blue" value="Оптимизировать" />
             <input type="checkbox" name="reoptimize" value="1"> Переоптимизировать?
             <input type="text" name="quality" value=""> Качество
         </div></td></tr>
           </table>
       </form>
   </div>
                    </div>    
                </div>
            </div>
        </div>
    </div>
</body>
</html>




















